<!-- Copyright (c) 2026 defconxt. All rights reserved. -->
<!-- Licensed under AGPL-3.0 — see LICENSE file for details. -->
<!-- NERF is a trademark of defconxt. -->
# Performing Recon Automation — API Reference

## Agent Script

| Command | Description |
|---------|-------------|
| `pipeline --domain <val> --full <val>` | Run automated recon pipeline |
| `enumerate --domain <val>` | Enumerate subdomains and services |
| `discover --url <val> --wordlist <val>` | Run content discovery |
| `report --domain <val> --format <val>` | Generate recon report |

## Parameters

| Parameter | Type | Required | Description |
|-----------|------|----------|-------------|
| `--domain` | string | Yes | Domain parameter |
| `--full` | string | Yes | Full parameter |
| `--url` | string | Yes | Url parameter |
| `--wordlist` | string | Yes | Wordlist parameter |
| `--format` | string | Yes | Format parameter |
